org.eclipse.graphiti.ui.internal.command

## Class EclipseProgress

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.command.EclipseProgress

All Implemented Interfaces:
  IProgress

    public class EclipseProgress
    extends Object
    implements IProgress

### Constructor Summary

Constructors
Constructor and Description
`EclipseProgress(IProgressMonitor eclipseProgressMonitor, int total)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProgress(int work)` Adds the progress.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EclipseProgress

    public EclipseProgress(IProgressMonitor eclipseProgressMonitor,
                           int total)

### Method Detail

#### addProgress

    public void addProgress(int work)

Description copied from interface: `IProgress`
Adds the progress.

Specified by:
  `addProgress` in interface `IProgress`
Parameters:
  `work` - the work